Bug 11856

Summary: 2x2 texture is drawn incorrect when mipmap is applied
Product: Mesa Reporter: WuNian <nian.wu>
Component: Drivers/X11Assignee: mesa-dev
Status: RESOLVED INVALID QA Contact:
Severity: minor    
Priority: medium    
Version: git   
Hardware: Other   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments: test case

Description WuNian 2007-08-05 23:41:05 UTC
I setup 3 level mipmap textures which sizes are 4x4, 2x2, 1x1. The 2th level texture(2x2) is green color. 
The attached test case draws a QUAD which size is 2x2, the texture is applied incorrect. the QUAD includes 4 pixels in which 3 pixels are green but another pixel is blue.
Comment 1 WuNian 2007-08-05 23:41:20 UTC
Created attachment 11003 [details]
test case
Comment 2 Brian Paul 2007-08-06 01:25:25 UTC
The test program is invalid.  The texImage2 array is initialized with invalid indexes.  The code should read:

            texImage2[0][0][0] = 0.0;
            texImage2[0][0][1] = 0.0;
            texImage2[0][0][2] = 1.0;
            texImage2[0][0][3] = 0.0;

Then the rendering is correct.
Comment 3 Adam Jackson 2009-08-24 12:27:35 UTC
Mass version move, cvs -> git

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.